CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

打印配置特性 (ActiveX)

2023-1-3 08:45| 发布者: admin| 查看: 485| 评论: 0|来自: AutoCAD

摘要: 获取文档的打印配置集合。

获取文档的打印配置集合。

支持的平台:仅窗口

签名

工 务 局:

object.PlotConfigurations
对象

类型:数据库文档

此属性适用的对象。

属性值

只读:是的

类型:绘图配置

文档的集合。PlotConfigurations

言论

没有额外的评论。

例子

工 务 局:

Sub Example_PlotConfigurations()
    ' This example will access the PlotConfigurations collection for the current drawing,
    ' add a plot configuration, and list basic information about the
    ' plot configurations in the drawing.

    Dim PlotConfigurations As AcadPlotConfigurations
    Dim PlotConfiguration As AcadPlotConfiguration
    Dim msg As String
    
    ' Get PlotConfigurations collection from document object
    Set PlotConfigurations = ThisDrawing.PlotConfigurations
    
    ' If there aren't any plot configurations, then add one
    If PlotConfigurations.count = 0 Then
        '*** Customize the new configuration to your satisfaction ***
        PlotConfigurations.Add "NEW_CONFIGURATION"
    End If
    
    msg = vbCrLf     ' Start with a space
    
    ' Get the names of the plot configurations in this drawing
    For Each PlotConfiguration In PlotConfigurations
        msg = msg & PlotConfiguration.name & vbCrLf
    Next
    
    ' Display a list of available plot configurations
    MsgBox "There are " & PlotConfigurations.count & " plot configuration(s) in " & _
           ThisDrawing.WindowTitle & ":" & msg
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_PlotConfigurations()
    ;; This example will access the PlotConfigurations collection for the current drawing,
    ;; add a plot configuration, and list basic information about the
    ;; plot configurations in the drawing.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    ;; Get PlotConfigurations collection from document object
    (setq PlotConfigurations (vla-get-PlotConfigurations doc))
    
    ;; If there aren't any plot configurations, then add one
    (if (= (vla-get-Count PlotConfigurations) 0)
        ;; *** Customize the new configuration to your satisfaction ***
        (vla-Add PlotConfigurations "NEW_CONFIGURATION")
    )
    
    (setq msg "")
    
    ;; Get the names of the plot configurations in this drawing
    (vlax-for PlotConfiguration PlotConfigurations
        (setq msg (strcat msg (vla-get-Name PlotConfiguration) "\n"))
    )
    
    ;; Display a list of available plot configurations
    (alert (strcat "There are " (itoa (vla-get-Count PlotConfigurations)) " plot configuration(s) in "
                   (vla-get-WindowTitle doc) ": \n" msg))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 07:55

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部